HPL_dlaprnt(3)

NAME
HPL_dlaprnt - Print the matrix A.

SYNOPSIS
#include "hpl.h"

void HPL_dlaprnt( const int M, const int N, double * A, const int IA, const int JA, const int LDA, const char * CMATNM );

DESCRIPTION
HPL_dlaprnt prints to standard error an M-by-N matrix A.

ARGUMENTS

M       (local input)           const int
    On entry, M specifies the number of rows of A. M must be at least zero.

N       (local input)           const int
    On entry, N specifies the number of columns of A. N must be at least zero.

A       (local input)           double *
    On entry, A points to an array of dimension (LDA,N).

IA      (local input)           const int
    On entry, IA specifies the starting row index to be printed.

JA      (local input)           const int
    On entry, JA specifies the starting column index to be printed.

LDA     (local input)           const int
    On entry, LDA specifies the leading dimension of the array A. LDA must be at least max(1,M).

CMATNM  (local input)           const char *
    On entry, CMATNM is the name of the matrix to be printed.

EXAMPLE
#include "hpl.h"

int main(int argc, char *argv[])
{
   double a[2*2];
   a[0] = 1.0; a[1] = 3.0; a[2] = 2.0; a[3] = 4.0;
   HPL_dlaprnt( 2, 2, a, 0, 0, 2, "A" );
   exit(0); return(0);
}

SEE ALSO
HPL_fprintf (3).